# Class PasswordAuthentication

java.lang.Object
java.net.PasswordAuthentication

public final class PasswordAuthentication extends Object
The class PasswordAuthentication is a data holder that is used by Authenticator. It is simply a repository for a user name and a password.

Since:
  1.2
See Also:
  - `Authenticator`
  - `Authenticator.getPasswordAuthentication()`

## Constructor Summary

Constructors
Constructor
Description
`PasswordAuthentication(String userName, char[] password)`
Creates a new `PasswordAuthentication` object from the given user name and password.

## Method Summary

Modifier and Type
Method
Description
`char[]`
`getPassword()`
Returns the user password.
`String`
`getUserName()`
Returns the user name.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### PasswordAuthentication

public PasswordAuthentication(String userName, char[] password)
Creates a new `PasswordAuthentication` object from the given user name and password.

Note that the given user password is cloned before it is stored in the new `PasswordAuthentication` object.

Parameters:
  `userName` - the user name
  `password` - the user's password

## Method Details

### getUserName

public String getUserName()
Returns the user name.

Returns:
  the user name

### getPassword

public char[] getPassword()
Returns the user password.

Note that this method returns a reference to the password. It is the caller's responsibility to zero out the password information after it is no longer needed.

Returns:
  the password